Skip to main content
`Ctrl`+`K`

# MatSeqAIJCUSPARSERestoreArrayWrite

restore the write-only access array obtained from `MatSeqAIJCUSPARSEGetArrayWrite()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJCUSPARSERestoreArrayWrite(Mat A, PetscScalar **a)

Not Collective

## Input Parameters

- A - a `MATSEQAIJCUSPARSE` matrix

- a - pointer to the device data

## See Also

Matrices, `Mat`, `MatSeqAIJCUSPARSEGetArrayWrite()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages